package com.cheng.blzb.manager

import com.example.base.utils.MMKVUtils

object LoginManager {

    fun saveToken(token: String) {
        MMKVUtils.put("x-token", token)
    }

    fun getToken(): String {
        return MMKVUtils.getString("x-token") ?: ""
    }

    fun isLogin(): Boolean {
        return !UserConfigManager.getIsTemp()
    }

    fun saveLastLoginType(type: String) {
        MMKVUtils.put("last_login_type", type)
    }

    fun getLastLoginType(): String? {
        return MMKVUtils.getString("last_login_type")
    }

    /**
     * 退出登录
     */
    fun logout() {
        // 1. 清除用户数据
        MMKVUtils.put("x-role", true)
        MMKVUtils.removeKey("userConfig")
        MMKVUtils.removeKey("x-token")
        MMKVUtils.removeKey("guide_pay")
        MMKVUtils.removeKey("guide")
        MMKVUtils.removeKey("nologin_pay")
    }
}